From d22ee995a65fbe0c0acf07b4068eb709f78e9c14 Mon Sep 17 00:00:00 2001
From: ManojGuptaBonda <mbonda@nvidia.com>
Date: Fri, 15 Feb 2019 16:02:07 +0530
Subject: [PATCH 1/1] Add flag HWACCEL_FLAG_IGNORE_LEVEL to hwaccel flags.

For Simple and Main profiles of vc1 Level is communicated to decoder via
Transport Layer FFMPEG doesn't set level for vc1 simple and main clips
causing failure during level check in ff_vdpau_common_init in ffmpeg
causing fall back to s/w decoding.

standalone FFMPEG sets HWACCEL_FLAG_IGNORE_LEVEL flag in
acctx->hwaccel_flags Hence failure does not occur during ffmpeg
decoding.

This change sets flag HWACCEL_FLAG_IGNORE_LEVEL so that Level check can
be ignored in VLC as well similar to FFMPEG and mplayer.
---
 modules/hw/vdpau/avcodec.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/modules/hw/vdpau/avcodec.c b/modules/hw/vdpau/avcodec.c
index e4544e6e0c..aa13675ce3 100644
--- a/modules/hw/vdpau/avcodec.c
+++ b/modules/hw/vdpau/avcodec.c
@@ -158,7 +158,7 @@ static int Open(vlc_va_t *va, AVCodecContext *avctx, enum PixelFormat pix_fmt,
         return VLC_EGENERIC;
     }
 
-    unsigned flags = AV_HWACCEL_FLAG_ALLOW_HIGH_DEPTH;
+    unsigned flags = AV_HWACCEL_FLAG_ALLOW_HIGH_DEPTH | AV_HWACCEL_FLAG_IGNORE_LEVEL;
 
     err = vdp_get_proc_address(sys->vdp, sys->device,
                                VDP_FUNC_ID_GET_PROC_ADDRESS, &func);
-- 
2.17.1

